ctsim (5.2.0-4) unstable; urgency=medium

  * Fix watch file
  * Remove redundant README.Debian
  * hardening=+all
  * debhelper 10
  * Remove empty postinst script

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 10:17:38 +0100

ctsim (5.2.0-3) unstable; urgency=medium

  * cme fix dpkg-control
  * DEP3 header for libpng16 patch
  * Fix d/rules (thanks to Chris Lamb <lamby@debian.org> for the patch)
    Closes: 834574
  * Remove menu file
  * hardening=+all,-pie

 -- Andreas Tille <tille@debian.org>  Wed, 17 Aug 2016 13:36:53 +0200

ctsim (5.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng16" (Closes: #809897)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 12:58:10 +0100

ctsim (5.2.0-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (new patch: wx3.0-compat.patch)
    Closes: #751552

  [ Andreas Tille ]
  * Take over the package into Debian Med team
  * debian/control:
     - debhelper 9
     - Priority: optional
     - cme fix dpkg-control
  * Build-Depends on libpng-dev, change from libpng12-dev
    Closes: #662293
  * debian/copyright: DEP5
  * debian/rules: Use dh in d/rules
  * fix upstream Makefile issues (finally by using dh-autoreconf)
  * spelling fix

 -- Andreas Tille <tille@debian.org>  Mon, 11 Aug 2014 10:05:01 +0200

ctsim (5.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: /bin/sh: 0: Can't open ./config.status"
    - as a pre-requisite, use autotools-dev to handle config.{sub,guess}
      (newer dpkg-source bails out due the changed files); also remove
      auto-generated patch with changes to these files
    - for the actual fix, remove second call to make clean from debian/rules
    (Closes: #642709)

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Dec 2011 19:48:51 +0100

ctsim (5.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Nov 2010 18:31:39 -0700

ctsim (5.1.4-1) unstable; urgency=low

  * New upstream: configure.ac - Fix test syntax error (closes:583010)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 26 May 2010 15:49:29 -0600

ctsim (5.1.3-3) unstable; urgency=low

  * Depend on libreadline-dev rather than libreadline5-dev (closes:#553743)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 01 Jan 2010 11:40:41 -0700

ctsim (5.1.3-2) unstable; urgency=low

  * Move simulate.html to doc/examples and to doc package

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Nov 2009 21:22:29 -0700

ctsim (5.1.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 22 Aug 2009 17:22:16 -0600

ctsim (5.1.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 21 Aug 2009 15:48:07 -0600

ctsim (5.1.1-1) unstable; urgency=low

  * New upstream
  * debian/control: use misc:Depends since using debhelper

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 20 Aug 2009 13:40:51 -0600

ctsim (5.1.0-2) unstable; urgency=low

  * debian/control: Add Vcs-Browser field

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 13 Aug 2009 08:07:05 -0600

ctsim (5.1.0-1) unstable; urgency=low

  * Version bump for all known wxWidgets 2.8 bugs fixed

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 12 Aug 2009 00:57:32 -0600

ctsim (5.0.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 11 Aug 2009 23:40:56 -0600

ctsim (5.0.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 22:11:51 -0600
  
ctsim (5.0.3-1) unstable; urgency=low

  * Add autoconf generated files back to upstream
  * Remove use of autoreconf from rules

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 22:11:47 -0600

ctsim (5.0.2-1) unstable; urgency=low

  * Changes to man pages for lintian warnings
  * debian/ctsim.desktop: Remove deprecated Encoding key
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 06:25:36 -0600

ctsim (5.0.1-2) unstable; urgency=low

  * Minor changes to the package's descriptions.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 05:01:39 -0600

ctsim (5.0.1-1) unstable; urgency=low

  * Minor changes to be compatible with non-unicode wx2.8

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 01 Aug 2009 18:58:25 -0600

ctsim (5.0.0-1) unstable; urgency=low

  * New upstream, ported to wxwidgets 2.8 (closes:462189)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 01 Aug 2009 10:56:41 -0600

ctsim (4.5.6-1) unstable; urgency=low

  * man/*.1: Fix warnings from lintian
  * debian/control: switch to libfftw3-dev (closes:488286)
  * debian/control: switch from xlibmesa-gl-dev to libgl1-mesa-dev
  (closes:488287)
  * debian/control: Add Homepage and Vcs-Git
  * debian/control: update Standards-Version to 3.8.2
  * compat: change to 7
  * rules: change dh_clean -k to dh_prep for debhelper 7
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 31 Jul 2009 15:16:57 -0600

ctsim (4.5.5-1) unstable; urgency=low

  * Better cleaning in makefiles to fix double building (closes:442534)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 17 Sep 2007 13:11:14 -0600

ctsim (4.5.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 10 Sep 2007 02:18:54 -0600

ctsim (4.5.3-3) unstable; urgency=low

  * debian/ctsim.menu: Update to new menu structure
  * debian/ctsim.desktop: Update categories

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  9 Sep 2007 19:49:44 -0600

ctsim (4.5.3-2) unstable; urgency=low

  * debian/watch: Update to version 3
  * debian/{control,rules}: Removed optimized pentium4 binary

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 23 Jul 2007 21:17:16 -0600

ctsim (4.5.3-1) unstable; urgency=low

  * New upstream: Fixes bug with GCC 4.3 -- thanks to Martin Michlmayr.
  (closes:417052)
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  1 Apr 2007 08:32:55 -0600

ctsim (4.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly give --without-lam to configure; prevents an attempted build
    with MPI support, which can FTBFS due to missing build-dependencies.
    (Closes: #396364)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  8 Nov 2006 14:19:33 +0100

ctsim (4.5.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 19 Oct 2006 10:40:49 -0600

ctsim (4.5.1-1) unstable; urgency=low

  * configure: Rebuild from configure.ac

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Oct 2006 22:13:37 -0600

ctsim (4.5.0-1) unstable; urgency=low

  * New upstream
  * debian/{control,rules}: Removed optimized athlon binary

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Oct 2006 10:57:24 -0600

ctsim (4.4.5-1) unstable; urgency=low

  * Update automake files from upstream
  * Add .desktop file submitted by Barry deFreese (closes: 377440)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  2 Aug 2006 17:32:53 -0600

ctsim (4.4.4-2) unstable; urgency=low

  * Fix spelling mistake in package description (closes:363220)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 15 May 2006 17:42:48 -0600

ctsim (4.4.4-1) unstable; urgency=low

  * Patch from Martin Michlmayr for g++ 4.1 support (closes:357383)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 16 Mar 2006 20:45:16 -0700

ctsim (4.4.3-1) unstable; urgency=low

  * Allow runtime depends on libgl1 (closes: 348738)
  * Fix linogram symlink (closes: 346549)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Jan 2006 12:07:02 -0700

ctsim (4.4.2-1) unstable; urgency=low

  * New upstream URI in documentation

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 16:25:51 -0600

ctsim (4.4.1-1) unstable; urgency=low

  * New upstream (minor compilation fix for FC4)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 31 Aug 2005 04:21:55 +0000

ctsim (4.4.0-2) unstable; urgency=low

  * Track wxwin2.4 package name change to wx2.4-headers

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 22 Aug 2005 11:23:48 -0600

ctsim (4.4.0-1) unstable; urgency=low

  * configure.ac: Change support libraries as needed for X.org (closes:324085);
  rework apparent AC_PATH_XTRA X.org difference have check $with_x rather than
  $no_x.

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 22 Aug 2005 08:28:41 -0600

ctsim (4.3.3-3) unstable; urgency=low

  * Change build-dep from libreadline4-dev to libreadline5-dev

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 20 Aug 2005 22:47:16 +0000

ctsim (4.3.3-2) unstable; urgency=low

  * Change runtime dependency from libwxgtk2.4 to libwxgtk2.4-1

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 15 Aug 2005 12:15:19 -0600

ctsim (4.3.3-1) unstable; urgency=low

  * New upstream: fix warnings in man pages
  * Rebuild against new wxWindows, xlibmesa-gl, and libglu1-xorg for Etch
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 15 Aug 2005 10:00:36 -0600

ctsim (4.3.2-1) unstable; urgency=low

  * New versions of config.sub and config.guess
  * Add kfreebsd-i386 to Architecture for ctsim-pentium4 and ctsim-athlon (Closes: 307691)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  6 May 2005 03:22:21 -0600

ctsim (4.3.1-4) unstable; urgency=low

  * Add libglib1.2-dev and libgtk1.2-dev as build dependencies (closes:278971)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  3 Nov 2004 13:27:49 -0700

ctsim (4.3.1-3) unstable; urgency=low

  * Rebuild against current libraries

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  5 Aug 2004 00:33:27 -0600

ctsim (4.3.1-2) unstable; urgency=low

  * Rebuilt against current libraries
  * Fix package description (closes:252688)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  5 May 2004 04:50:28 -0600

ctsim (4.3.1-1) unstable; urgency=low

  * configure.ac: Support SuSE AMD64

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Nov 2003 05:21:31 -0700

ctsim (4.3.0-1) unstable; urgency=low

  * Port from FFTW2 to incompatible FFTW3 library

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  4 Oct 2003 20:03:31 -0600

ctsim (4.2.8-1) unstable; urgency=low

  * configure.ac: Support for compiling on AMD64

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  2 Oct 2003 15:50:54 -0600

ctsim (4.2.7-1) unstable; urgency=low

  * Fix conditional AM_CONDITIONAL

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 29 Sep 2003 19:47:47 -0600

ctsim (4.2.6-1) unstable; urgency=low

  * Update missing file from automake-1.7
  * Test building on xfree86_4.3.0-0pre1v1

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 28 Sep 2003 10:57:05 -0600

ctsim (4.2.5-1) unstable; urgency=low

  * Fix gcc-3.3 compilation issues (closes:200074)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  4 Jul 2003 14:23:38 -0600

ctsim (4.2.4b-2) unstable; urgency=low

  * Allow mesag1 | libgl1 in all binary packages (closes:190213)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 24 Apr 2003 12:35:18 -0600

ctsim (4.2.4b-1) unstable; urgency=low

  * Allow mesag1 | libgl1 (closes:190213)
  * Change to libpng12-dev
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 22 Apr 2003 11:41:39 -0600

ctsim (4.2.4-1) unstable; urgency=low

  * New upstream built with consistent automake tools  (closes:186387)
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  4 Apr 2003 10:39:49 -0700

ctsim (4.2.3-2) unstable; urgency=low

  * Add AM_MAINTAINER_MODE to configure.ac (closes:186387)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 26 Mar 2003 13:18:05 -0700

ctsim (4.2.3-1) unstable; urgency=low

  * New upstream version, fix polar interpolation

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 23 Mar 2003 01:27:10 -0700

ctsim (4.2.2-1) unstable; urgency=low

  * Depend on mesa3g

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 Mar 2003 11:57:24 -0700

ctsim (4.2.1-1) unstable; urgency=low

  * New upstream, minor fixes

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 Mar 2003 07:21:56 -0700

ctsim (4.2.0-1) unstable; urgency=low

  * New feature: Direct inverse Fourier reconstructions

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 14 Mar 2003 23:12:06 -0700

ctsim (4.1.2-3) unstable; urgency=low

  * Add build-depends-indep to control file

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 24 Feb 2003 01:05:29 -0700

ctsim (4.1.2-2) unstable; urgency=low

  * debian/control: Add missing depends

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 22 Feb 2003 23:19:07 -0700

ctsim (4.1.2-1) unstable; urgency=low

  * autoconf changes

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  3 Feb 2003 10:57:52 -0700

ctsim (4.1.1-1) unstable; urgency=low

  * libctsim/array2file.cpp: Add "#include <sstream>"

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  1 Feb 2003 20:44:59 -0700

ctsim (4.1.0-1) unstable; urgency=low

  * Add Pentium 4 (28% speed-up compared to 386), Pentium 3 (5% speed-up), and 
  Athlon (11% speed-up) optimized packages
  * Move priority to extra

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 30 Jan 2003 15:40:35 -0700

ctsim (4.0.2-1) unstable; urgency=low

  * Remove debugging statement
  * Add support for --with-cpu configuration option
  * Fix OpenGL frames from endlessly repainting
	
 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 30 Jan 2003 15:40:18 -0700

ctsim (4.0.1-1) unstable; urgency=low

  * Make sure to call OnUpdate as well as UpdateAllViews since the
  latter doesn't appear to update on wxWindows 2.4.0

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 28 Jan 2003 21:33:55 -0700

ctsim (4.0.0-1) unstable; urgency=low

  * Rebuild with gcc3.2
  * Port to wxwindows 2.4
  * Port to Mac OS X
  * Update to standards-version 3.5.8.0
  * Add build dependencies xlibmesa-gl-dev and xlibmesa-glu-dev, remove
    unused glut3-dev
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 23 Jan 2003 22:41:19 -0700

ctsim (3.6.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 29 Oct 2002 09:01:46 -0700

ctsim (3.6.1-1) unstable; urgency=low

  * Separate building of architecture dependent and independent packages 

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Oct 2002 12:15:06 -0700

ctsim (3.6.1-0) unstable; urgency=low

  * Add libpng to build dependencies
  * Modify configure.ac to handle new png library

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 26 Oct 2002 08:28:25 -0600

ctsim (3.6.0-1) unstable; urgency=low

  * Upgrade to wxWindows 2.3 library (closes: 166107)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 23 Oct 2002 17:37:53 -0600

ctsim (3.5.8-2) unstable; urgency=low

  * Update email address
  * Update standards version
  * Update FTP address in watch file
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 11 Aug 2002 23:20:09 -0600

ctsim (3.5.8-1) unstable; urgency=low

  * Fix problem with upstream not making directory

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 27 Jul 2002 12:23:25 -0600

ctsim (3.5.7-1) unstable; urgency=low

  * Expand description in control file
  * New upstream source
  * Additions to copyright file
  * Clean up building scripts

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 26 Jul 2002 10:22:03 -0600

ctsim (3.5.6-1) unstable; urgency=low

  * Remove -pthreads cruft from gcc options. 
  * Add dh_shlibdeps into rules file
  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 27 Jun 2002 00:41:57 -0600

ctsim (3.5.5-1) unstable; urgency=low

  * New upstream version
  * Migrated to Debhelper version 4

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 13 Jun 2002 20:06:19 -0600

ctsim (3.5.4-1) unstable; urgency=low

  * New upstream version (many bug fixes)
  * Added support for DICOM import and export. Requires Debian ctn
  (DICOM interfac library) package.

 -- Kevin M. Rosenberg <kevin@pal.med-info.com>  Sun,  2 Jun 2002 11:56:32 -0600

ctsim (3.5.3-1) unstable; urgency=low

  * Split online help into ctsim-help package
  * Split pdf and html documentation into ctsim-doc package
  * Added X-windows menu (Thanks Andreas Tille)
  * Removed definition of ostringstream class (Closes: #148379)

 -- Kevin M. Rosenberg <kevin@pal.med-info.com>  Tue, 28 May 2002 01:16:28 -0600

ctsim (3.5.2-1) unstable; urgency=low

  * New upstream version
  * Updated config.guess (closes: #148112)

 -- Kevin M. Rosenberg <kevin@pal.med-info.com>  Sun, 26 May 2002 14:10:15 -0600

ctsim (3.5.1-2.1) unstable; urgency=low

  * oops, bad .diff.gz accidentally uploaded (BAP but leaving maintainer)

 -- Kevin M. Rosenberg <kevin@cheetah-debian.med-info.com>  Tue, 14 May 2002 22:08:55 -0600

ctsim (3.5.1-2) unstable; urgency=low

  * Changed control file.

 -- Kevin M. Rosenberg <kevin@cheetah-debian.med-info.com>  Mon,  6 May 2002 14:31:38 -0600

ctsim (3.5.1-1) unstable; urgency=low

  * New upstream version. Initial upload (closes: #145724).

 -- Kevin M. Rosenberg <kevin@pal.med-info.com>  Sun,  5 May 2002 10:55:49 -0600

ctsim (3.5.0-3) unstable; urgency=low

  * Upstream improvements. 
  * No longer include Postscript with upstream source.

 -- Kevin M. Rosenberg <kevin@cheetah-debian.med-info.com>  Sun,  5 May 2002 02:22:26 -0600

ctsim (3.5.0-2) unstable; urgency=low

  * Reworked documentation packaging.

 -- Kevin M. Rosenberg <kevin@pal.med-info.com>  Fri,  3 May 2002 13:59:28 -0600

ctsim (3.5.0-1) unstable; urgency=low

  * Initial package.

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 25 Apr 2002 19:13:41 -0600

